Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: Getting error when installing a package that was just compiled in XE8


This question is answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 1 - Last Post: May 13, 2015 4:47 AM Last Post By: Borja Serrano
John Clark

Posts: 13
Registered: 5/21/15
Getting error when installing a package that was just compiled in XE8  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 22, 2015 8:11 PM
When trying to install a package that was just successfully compiled I get an error message -
Package MyPackage.dll can't be installed because it was created with a different version of Delphi or CBuilder.
Any thoughts on what may be causing this issue? I thoroughly checked the paths to make sure it was correct.

Edited by: John Clark on Apr 22, 2015 8:12 PM
Borja Serrano

Posts: 172
Registered: 1/10/13
Re: Getting error when installing a package that was just compiled in XE8  
Click to report abuse...   Click to reply to this thread Reply
  Posted: May 13, 2015 4:47 AM   in response to: John Clark in response to: John Clark
The best way to solve this issue is to create a new package in C++ Builder XE8 and add the source files from your previous project to it (Project->Add to project...). If it is not possible edit manually your cbproj file and delete the line that says <OutputExt>.dll</OutputExt>
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02